Technical Support
Forums and Mailing Lists
Search Mackichan Web

Version 5/5.5

Word Processing
File Issues
Exam Builder
Style Editor
Free Updates
Technical Articles

Scientific Notebook
Support Information

TeXnology links

Document 659

Compiling LaTeX 2.09 files

Version: 3.x, 4.x, 5.x - Scientific WorkPlace, Scientific Word, & Scientific Notebook


Attempts to compile LaTeX 2.09 files may result in LaTeX errors.


LaTeX 2.09 is outdated.

Use SWP or SW or an ASCII editor to check that your LaTeX file uses a current version of LaTeX.

  • Check the LaTeX version using SWP or SW:

  1. From the Typeset menu, choose Options and Packages.

  2. Choose the Class Options tab.

  3. Note the first line in the dialog box.

    • If the line begins LaTeX documentstyle is...., the file is a LaTeX 2.09 file. Note the the Package Options tab isn't present.

    • If the line begins LaTeX documentclass is...., the file is a LaTeX2e document.

  • Check the LaTeX version using an ASCII editor:

  1. Using an ASCII editor, open the LaTeX file.

  2. Look for a line that begins \documentstyle.

    The presence of the line indicates a LaTeX 2.09 document.


If you want to use the information in a LaTeX 2.09 file, start a new document and then import the contents of the LaTeX 2.09 file into it.

Last revised 06/12/06

MacKichan Software, Inc. 19689 7th Avenue NE, Suite 183 #238 Poulsbo, WA 98370
Phone: 360-394-6033 Toll-free: 877-724-9673 Fax: 360-394-6039

Please email comments and suggestions regarding this site to
© Copyright 1998 - MacKichan Software, Inc. All rights reserved.